#!/bin/bash

# Comprobamos que no se haya ejecutado previamente ya:
FICHVARS="/etc/default/vx-dga-variables/vx-dga-variables-general.conf"
[ -f "${FICHVARS}" ] && . "${FICHVARS}"
if [ -z "${CONFINPUTWACOM}" ] ; then
    
    # 0) Preparamos la auditoria de la configuración de centro:
    FICHFUNCS="/usr/bin/vx-funcs-bash"
    [ -f "${FICHFUNCS}" ] && . "${FICHFUNCS}"
    [[ "$(LC_ALL=C type -t "vx-log_xsession")" == "function" ]] && \
    FICHLOG="vx-input-wacom-vx1.0-0.46.log" && \
    vx-log_xsession -o "${FICHLOG}" && \
    echo "## $(date) - Auditoria del input-wacom 0.46: ${FICHLOG}"
    
    # 1) Instalamos el software necesario para la compilación del driver Wacom:
    # https://github.com/linuxwacom/input-wacom/wiki/Installing-input-wacom-from-source
    sudo apt-get install -y --force-yes build-essential autoconf linux-headers-$(uname -r)
    
    # 2) Construimos el driver:
    # URL="https://github.com/linuxwacom/input-wacom/releases/download/input-wacom-0.46.0/input-wacom-0.46.0.tar.bz2"
    # wget "${URL}" -P "/tmp"
    # tar -xjvf "/tmp/input-wacom-0.46.0.tar.bz2" -C "/usr/share/vitalinux/input-wacom"
    DIR="/usr/share/vitalinux/input-wacom/input-wacom-0.46.0"
    echo "=> Script de postrun para la configuración del input Wacom más actualizado ..."
    [ -d "${DIR}" ] && {
        cd "${DIR}" ;
        if test -x ./autogen.sh; then ./autogen.sh; else ./configure; fi && make && sudo make install || echo "Build Failed" ;
        } || {
        echo "=> Problemas para construir el driver de la Wacom: input-wacom-0.46"
    }
    
    # 3) Instalación de xf86-input-wacom:
    # URL="https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-0.39.0/xf86-input-wacom-0.39.0.tar.bz2"
    
    # sudo sh -c "apt-get update && apt-get install xserver-xorg-input-wacom$(dpkg -S $(which Xorg) | grep -Eo -- "-hwe-[^:]*")"
    # # Instalación de las dependencias para su construcción:
    # apt-get install -y --force-yes xserver-xorg-dev \
    # xutils-dev \
    # libxi-dev \
    # libxrandr-dev \
    # libxext-dev \
    # libx11-dev \
    # libxinerama-dev \
    # libudev-dev
    
    # sudo apt-get install -y --force-yes autoconf \
    # pkg-config \
    # make \
    # xutils-dev \
    # libtool \
    # xserver-xorg-dev$(dpkg -S $(which Xorg) | grep -Eo -- "-hwe-[^:]*") \
    # libx11-dev libxi-dev libxrandr-dev libxinerama-dev libudev-dev
    
    # DIR="/usr/share/vitalinux/input-wacom/xf86-input-wacom-0.39.0"
    # echo "=> Script de postrun para la configuración del input Wacom más actualizado ..."
    # [ -d "${DIR}" ] && {
    #     cd "${DIR}" ;
    #     set -- --prefix="/usr" --libdir="$(readlink -e $(ls -d /usr/lib*/xorg/modules/input/../../../ | head -n1))" ;
    #     if test -x ./autogen.sh; then ./autogen.sh "$@"; else ./configure "$@"; fi && make && sudo make install || echo "Build Failed" ;
    #     } || {
    #     echo "=> Problemas para construir el driver de la Wacom: xf86-input-wacom-0.39.0"
    # }
    
    # Creamos una variable para que no se vuelva a ejecutar la configuración anterior:
    sed -i '/CONFINPUTWACOM.*/d' "${FICHVARS}"
    sed -i '/Varibles utilizadas por los paquetes/a CONFINPUTWACOM=1' "${FICHVARS}" && \
    echo "=> Se ha creado la variable CONFINPUTWACOM: ${FICHVARS}"
    
fi